<?php
/*
Plugin Name: TranslatePress - Compatibility with text widget shortcodes
Plugin URI: https://translatepress.com/
Description: Disables execution shortcodes in text widgets. It can prevent breaking html or other unwanted behaviour. However, if there are language switcher shortcodes placed in text widgets they will no longer work.
Version: 1.0.0
Author: Cozmoslabs, Razvan Mocanu
Author URI: https://cozmoslabs.com/
Text Domain: translatepress-multilingual
License: GPL2


== Copyright ==
Copyright 2020 Cozmoslabs (www.cozmoslabs.com)

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.
You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
*/
add_action( 'trp_before_running_hooks', 'trpc_remove_hooks_to_stop_do_shortcode_on_widget_text', 10, 1);
function trpc_remove_hooks_to_stop_do_shortcode_on_widget_text( $trp_loader ){
    $trp                = TRP_Translate_Press::get_trp_instance();
    $translation_manager = $trp->get_component( 'translation_manager' );
    $trp_loader->remove_hook( 'widget_text', 'do_shortcode');
    $trp_loader->remove_hook( 'widget_text', 'shortcode_unautop');
}